<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <xsl:variable name="plain_alt" select="$display/biblio_styles/plain/text[@lang=$lang]"/>
  <xsl:variable name="authordate_alt" select="$display/biblio_styles/authordate/text[@lang=$lang]"/>
  <xsl:variable name="bibtex_alt" select="$display/biblio_styles/bibtex/text[@lang=$lang]"/>

  <xsl:template name="biblio_styles">
    <xsl:param name="link_plain"/>
    <xsl:param name="link_author"/>
    <xsl:param name="link_bibtex"/>
    <xsl:param name="root" select="'../'"/>
    <div class="styles">
      <xsl:call-template name="style_link">
	<xsl:with-param name="link" select="$link_plain"/>
	<xsl:with-param name="messg" select="$plain_alt"/>
	<xsl:with-param name="img_off" select="concat($root,'images/plainB.png')"/>
	<xsl:with-param name="img_on" select="concat($root,'images/plainB_click.png')"/>
      </xsl:call-template>
	<xsl:call-template name="style_link">
	  <xsl:with-param name="link" select="$link_author"/>
	  <xsl:with-param name="messg" select="$authordate_alt"/>
	  <xsl:with-param name="img_off" select="concat($root,'images/aut.png')"/>
	  <xsl:with-param name="img_on" select="concat($root,'images/aut_click.png')"/>
	</xsl:call-template>
	  
      <xsl:call-template name="style_link">
	<xsl:with-param name="link" select="$link_bibtex"/>
	<xsl:with-param name="messg" select="$bibtex_alt"/>
	<xsl:with-param name="img_off" select="concat($root,'images/bib.png')"/>
	<xsl:with-param name="img_on" select="concat($root,'images/bib_click.png')"/>
      </xsl:call-template>
    </div>
  </xsl:template>
  <xsl:template name="style_link">
    <xsl:param name="link"/>
    <xsl:param name="img_off"/>
    <xsl:param name="img_on"/>
    <xsl:param name="messg"/>
    <xsl:text>
    </xsl:text>
    <xsl:element name="a">
      <xsl:attribute name="href"><xsl:value-of select="$link"/> </xsl:attribute>
      <xsl:attribute name="class">biblio_style</xsl:attribute>
      <xsl:element name="img">
	<xsl:attribute name="src"><xsl:value-of select="$img_off"/></xsl:attribute>
	<xsl:attribute name="alt"><xsl:value-of select="$messg"/></xsl:attribute>
	<xsl:attribute name="onMouseOver"><xsl:value-of select="concat('this.src=&quot;',$img_on,'&quot;')"/></xsl:attribute>
	<xsl:attribute name="onMouseOut"><xsl:value-of select="concat('this.src=&quot;',$img_off,'&quot;')"/></xsl:attribute>
	<xsl:attribute name="border"><xsl:value-of select="'0'"/></xsl:attribute>
	<xsl:attribute name="heigth"><xsl:value-of select="'50'"/></xsl:attribute>
	<xsl:attribute name="width"><xsl:value-of select="'110'"/></xsl:attribute>
      </xsl:element>	
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>
