<?xml version="1.0" encoding="ISO-8859-1" ?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version='1.0'>

	<xsl:import href="authordate.xsl"/>
	
	<xsl:template match="inbook" mode="authordate">
						
		<span class="AuthorDate">
			<xsl:apply-templates select="author"/>
		</span>
										
		<xsl:value-of select="year"/>.
		<i><xsl:value-of select="title"/><xsl:text>.</xsl:text></i>
		<xsl:value-of select="series"/>
		<xsl:value-of select="publisher"/><xsl:text>. Chap.</xsl:text>
				 
				
		<xsl:choose>
			<xsl:when test="contains(chapter,':')">
				<xsl:value-of select="substring-after(chapter,':')"/>
			</xsl:when>
			<xsl:otherwise>
					<xsl:value-of select="chapter"/>
			</xsl:otherwise>
		</xsl:choose>
		
		<xsl:if test='pages!=""'>
		<xsl:choose>
			<xsl:when test="contains(pages,'-')">
				<xsl:text>, pages</xsl:text> 
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>, page</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
				
		<xsl:value-of select="pages"/>
		</xsl:if>
		
				<xsl:text>.</xsl:text>
			
	</xsl:template>
</xsl:stylesheet>
