<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:import href="authordate.xsl"/>


  <xsl:template match="incollection" mode="authordate">
			
		<span class="AuthorDate">
			<xsl:apply-templates select="author"/>
		</span>
				
		<xsl:if test='year!=""'>
			<xsl:value-of select="./year"/><xsl:text>. </xsl:text>
		</xsl:if>
		
		<xsl:value-of select="./title"/><xsl:text>. </xsl:text>
		
		<xsl:if test='pages!=""'>
			<i><xsl:text>Pages </xsl:text><xsl:value-of select="./pages"/><xsl:text> of: </xsl:text></i>
		</xsl:if>
		
		<span class="AuthorDate">
			<xsl:apply-templates select="editor"/><xsl:text> (eds), </xsl:text>
		</span>
		
		<i><xsl:text> In: </xsl:text><xsl:value-of select="./booktitle"/></i><xsl:text>, </xsl:text>

		<xsl:if test='volume!=""'>		
			<xsl:text>Vol. </xsl:text><xsl:value-of select="./volume"/><xsl:text>. </xsl:text>
		</xsl:if>
		
		
		<xsl:choose>
			<xsl:when test='concat(adress,publisher)!=""'>	
			<xsl:if test='adress!=""'>
				<xsl:value-of select="./adress"/><xsl:text>: </xsl:text>
			</xsl:if>	
			<xsl:value-of select="./publisher"/><xsl:text>.</xsl:text>
			</xsl:when>
			
			<xsl:otherwise>		
				<xsl:if test='adress!=""'>		
					<xsl:value-of select="./adress"/><xsl:text>.</xsl:text>
				</xsl:if>
				<xsl:if test='publisher!=""'>		
					<xsl:value-of select="./publisher"/><xsl:text>.</xsl:text>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	
	</xsl:template>
  
</xsl:stylesheet>
