<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:import href="authordate.xsl"/>

<xsl:template match="techreport" mode="authordate">

	<span class="AuthorDate">
		<xsl:apply-templates select="author"/>
	</span>
	
	<xsl:value-of select="year"/> 
	
	<xsl:if test='month!=""'>
		<xsl:text> ( </xsl:text> <xsl:value-of select="month"/> <xsl:text> ) </xsl:text>					
	</xsl:if>
	
	<xsl:text>. </xsl:text>
	
	<i><xsl:value-of select="title"/><xsl:text>. </xsl:text></i>
	
	<xsl:if test='number!=""'>
		<xsl:text>Tech. rept. </xsl:text><xsl:value-of select="number"/><xsl:text>.	</xsl:text>
	</xsl:if>
	
	<xsl:choose>
			<xsl:when test="contains(institution,'.')">
				<xsl:value-of select="substring-before(institution,'.')"/>
			</xsl:when>
			<xsl:otherwise>
					<xsl:value-of select="institution"/>
			</xsl:otherwise>
	</xsl:choose>
	
	<xsl:text>. </xsl:text>
  

</xsl:template>

</xsl:stylesheet>
