<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:import href="title.xsl"/>
  <xsl:output method="html" version="4.0" encoding="ISO-8859-1" indent="yes"/>
  <xsl:strip-space elements="*"/>
  <xsl:variable name="title" select="$display/listtheme/bartitle/text[@lang=$lang]"/>
  <xsl:variable name="download" select="$display/listtheme/download/text[@lang=$lang]"/>
  <xsl:template match="/themes">
    <html>
      <head> 
	<link rel="stylesheet" type="text/css" href="../css/style.css"/>
	
	<title> 
	  <xsl:value-of select="$title"/>
	</title>
	
      </head>
      <body>
	<xsl:call-template name="create_title">
	  <xsl:with-param name="title" select="$title"/>
	  <xsl:with-param name="file" select="'../xx/themes.html'"/>
	  <xsl:with-param name="class" select="'title'"/>
	</xsl:call-template>
	<div class="theme">
	  <xsl:apply-templates select="theme">
	  </xsl:apply-templates>
	</div>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="theme">
    <xsl:param name="number"/>
    <xsl:variable name="keyword" select="@keyword"/>
    
    <div class="themeitem">	
      <xsl:choose>
	<xsl:when test='$number=""'>
	  <xsl:value-of select="position()"/>
	</xsl:when>
	<xsl:otherwise>
	  <xsl:value-of select="concat($number,'.',position())"/>
	</xsl:otherwise>
      </xsl:choose>
      <xsl:value-of select="./text[@lang=$lang]"/>
      <xsl:element name="a">
	<xsl:attribute name="href">
          <xsl:value-of select="concat('themes/theme_',$keyword,'_plain.html')"/>
	</xsl:attribute>
	<xsl:attribute name="class">themesearch</xsl:attribute>
	<img src="../images/search-16.jpg"/>
      </xsl:element>
      <xsl:if test="file != ''">
	<xsl:element name="a">
	  <xsl:attribute name="href">
	    <xsl:value-of select="concat('../bibtex/',normalize-space(file))"/>
	  </xsl:attribute>
	  <xsl:attribute name="class">downloadtheme</xsl:attribute>
	  <xsl:value-of select="$download"/>
	</xsl:element>
      </xsl:if>
    </div>
    <xsl:if test='./theme != ""'>
      <div class="theme">	
	<xsl:choose>
	  <xsl:when test='$number=""'>
	    <xsl:apply-templates select="./theme">
	      <xsl:with-param name="number" select="position()"/>
	    </xsl:apply-templates>
	  </xsl:when>
	  <xsl:otherwise>
	    <xsl:apply-templates select="./theme">
	      <xsl:with-param name="number" select="concat($number,'.',position())"/>
	    </xsl:apply-templates>
	    
	  </xsl:otherwise>
	</xsl:choose>
	
      </div>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>
