<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  
  <xsl:import href="biblio.xsl"/>
  <xsl:import href="title.xsl"/>
  <xsl:import href="styles/bibtex.xsl"/>
  
  <xsl:param name="lang"> en</xsl:param>
  
  <xsl:output method="html" version="4.0" encoding="ISO-8859-1" indent="yes"/>
  <xsl:strip-space elements="*"/>
  <xsl:variable name="mess_theme">
    <xsl:value-of select="$themes//theme[@keyword=$theme]/text[@lang=$lang]"/>
  </xsl:variable>
  <xsl:variable name="bartitle" select="$display/theme_content/bartitle/text[@lang=$lang]"/>
  <xsl:variable name="title">
    <xsl:value-of select="concat($display/theme_content/title/text[@lang=$lang],$mess_theme)"/>
  </xsl:variable>

  <xsl:template match="/selection">
    <html>
      <head> 
      <link rel="stylesheet" type="text/css" href="../../css/style.css"/>
	<title> 
	  <xsl:value-of select="$title"/>
	</title>
      </head>
      <body>
        <xsl:call-template name="create_title">
          <xsl:with-param name="title" select="$title"/>
	  <xsl:with-param name="file">
            <xsl:value-of select="concat('../../xx/themes/theme_',$theme,'_',$mode,'.html')"/>
	  </xsl:with-param>
	  <xsl:with-param name="class" select="'finaltitle'"/>
          <xsl:with-param name="root" select="'../../'"/>
	</xsl:call-template>
	<xsl:call-template name="biblio_styles">
	  <xsl:with-param name="link_plain">
            <xsl:value-of select="concat('theme_',$theme,'_plain.html')"/>
	  </xsl:with-param>
	  <xsl:with-param name="link_author">
	    <xsl:value-of select="concat('theme_',$theme,'_authordate.html')"/>
	  </xsl:with-param>
	  <xsl:with-param name="link_bibtex">
	    <xsl:value-of select="concat('theme_',$theme,'_bibtex.html')"/>
	  </xsl:with-param>
          <xsl:with-param name="root" select="'../../'"/>
	</xsl:call-template>
	
	<xsl:choose>	
        <xsl:when test="$mode = '' or $mode='plain'">
          <xsl:apply-templates select="entry">
            <xsl:with-param name="root" select="'../../'"/>
          </xsl:apply-templates>
	  </xsl:when>
          <xsl:when test="$mode='authordate'">
            <xsl:apply-templates select="entry" mode="authordate">
              <xsl:with-param name="root" select="'../../'"/>
            </xsl:apply-templates>
	  </xsl:when>
	  <xsl:otherwise>
	    <pre>
	      <xsl:apply-templates select="entry" mode="bibtex">
	      </xsl:apply-templates>
	    </pre>
	  </xsl:otherwise>
	</xsl:choose>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
